Package org.jcsp.net.dynamic

# Class ChannelEndNotMoveableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.dynamic.ChannelEndNotMoveableException

All Implemented Interfaces:
  `Serializable`

public class ChannelEndNotMoveableException extends RuntimeException
Thrown when a channel end cannot be moved.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChannelEndNotMoveableException()`
Constructs a new `ChannelEndNotMoveableException` without a detail message or cause.
`ChannelEndNotMoveableException(String message)`
Constructs a new `ChannelEndNotMoveableException` with a detail message.
`ChannelEndNotMoveableException(String message, Throwable cause)`
Constructs a new `ChannelEndNotMoveableException` with a detail message and underlying cause exception.
`ChannelEndNotMoveableException(Throwable cause)`
Constructs a new `ChannelEndNotMoveableException` with a cause exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChannelEndNotMoveableException

public ChannelEndNotMoveableException()
Constructs a new `ChannelEndNotMoveableException` without a detail message or cause.

### ChannelEndNotMoveableException

public ChannelEndNotMoveableException(String message)
Constructs a new `ChannelEndNotMoveableException` with a detail message.

Parameters:
  `message` - the detail message.

### ChannelEndNotMoveableException

public ChannelEndNotMoveableException(String message, Throwable cause)
Constructs a new `ChannelEndNotMoveableException` with a detail message and underlying cause exception.

Parameters:
  `message` - the detail message.
  `cause` - the exception that caused this one to be raised.

### ChannelEndNotMoveableException

public ChannelEndNotMoveableException(Throwable cause)
Constructs a new `ChannelEndNotMoveableException` with a cause exception.

Parameters:
  `cause` - the exception that caused this one to be raised.